## cd-icc-utils

cd-icc-utils — Utilities for working with CdIcc objects

## Functions

gboolean | cd_icc_utils_get_coverage ()
gboolean | cd_icc_utils_get_adaptation_matrix ()

## Description

Functions to do unusual things with profiles.

## Functions

### cd_icc_utils_get_coverage ()

    gboolean
    cd_icc_utils_get_coverage (CdIcc *icc,
                               CdIcc *icc_reference,
                               gdouble *coverage,
                               GError **error);

Gets the gamut coverage of two profiles where 0.5 would mean the gamut is half the size, and 2.0 would indicate the gamut is twice the size.

#### Parameters

icc | The profile to test |
icc_reference | The reference profile, e.g. sRGB |
coverage | The coverage of `icc` on `icc_reference` |
error | A GError, or `NULL` |

#### Returns

TRUE for success

### cd_icc_utils_get_adaptation_matrix ()

    gboolean
    cd_icc_utils_get_adaptation_matrix (CdIcc *icc,
                                        CdIcc *icc_reference,
                                        CdMat3x3 *out,
                                        GError **error);

Computes a correction matrix suitable for adjusting colors in a reference color space `icc_reference` (typically sRGB) to the color space of a target device described by `icc` .

This function is designed to be used by desktop window systems to program the color transform matrix (CTM) property of the display hardware.

#### Parameters

icc | The measured ICC profile for the target device. |
icc_reference | The ICC profile to use as a reference (typically sRGB). |
mat | The returned adaptation matrix. | [out]
error | A GError, or `NULL`. | [out]

#### Returns

`TRUE` for success

Since: 1.4.5